import pika, sys, os

def main():
    connection = pika.BlockingConnection(pika.ConnectionParameters(host='localhost'))
    channel = connection.channel()

    channel.queue_declare(queue='KlementevaLogs')

    def callback(ch, method, properties, body):
        print(f" [x] Получено сообщение: {body}")

    channel.basic_consume(queue='KlementevaLogs', on_message_callback=callback, auto_ack=True)

    print(' [*] Ожидание сообщений. Для завершения CTRL+C')
    channel.start_consuming()

if __name__ == '__main__':
    try:
        main()
    except KeyboardInterrupt:
        print('Произошла ошибка')
        try:
            sys.exit(0)
        except SystemExit:
            os._exit(0)